Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162837 - xpath attribute::name processing broken
Summary: xpath attribute::name processing broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libxml2
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-10 06:05 UTC by Ralf Corsepius
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.6.20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-21 23:17:29 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2005-07-10 06:05:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
Given this document (test.xml):
<opt name="foo"/>

Trying to evaluate xpath child::opt/attribute::name 
with libxml-2.6.19 (FC4) fails to find the attribute:

# xmlint --shell test.xml
/ > xpath child::opt/attribute::name
Object is a Node Set :
Set contains 0 nodes:

With libxml-2.6.16 (FC3) the same succeeds:
# xmllint --shell test.xml
/ > xpath child::opt/attribute::name
Object is a Node Set :
Set contains 1 nodes:
1  ATTRIBUTE name
    TEXT
      content=foo

However, xpath child::opt/attribute::* with both versions succeeds.


Version-Release number of selected component (if applicable):
libxml2-2.6.19-1

How reproducible:
Always

Steps to Reproduce:
see above.

Actual Results:  see above.

Expected Results:  function.

Additional info:

C.f. http://bugzilla.gnome.org/show_bug.cgi?id=309864

This bug renders libxml2 unusable for development of applications I am working on.

Comment 1 Daniel Veillard 2005-07-10 07:54:08 UTC
yes known problem in 2.6.19 . Yse the compact syntax
  opt/@name 
in the meantime.

Daniel

Comment 2 Daniel Veillard 2005-10-21 23:17:29 UTC
Fixed in 2.6.20 and later in rawhide,

Daniel


Note You need to log in before you can comment on or make changes to this bug.